Imports CharterDotCom.CommonEntities.Library.Enumerations

Public Interface INotification
  ' ToDO: change it to enumeration
  ' possible values are add\remove\undo
  ReadOnly Property Action() As NotificationAction
  ' item id which modified shopping carts status
  ReadOnly Property Source() As String

  ' changed from this item
  ReadOnly Property FromTarget() As String

  ' resulting item
  ReadOnly Property ToTarget() As String

  ' result message
  ReadOnly Property ResultCode() As NotificationCode

  ReadOnly Property Severity() As NotificationSeverity
End Interface
